Bug 1377376 (CVE-2016-7401) - CVE-2016-7401 python-django: CSRF protection bypass on a site with Google Analytics
Summary: CVE-2016-7401 python-django: CSRF protection bypass on a site with Google Ana...
Status: CLOSED ERRATA
Alias: CVE-2016-7401
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160926,repor...
Keywords: Security
Depends On: 1378620 1378621 1378622 1378623 1378624 1378625 1378626 1378627 1378628 1378629 1378630 1379486 1379487 1379488 1379489
Blocks: 1377379
TreeView+ depends on / blocked
 
Reported: 2016-09-19 13:56 UTC by Andrej Nemec
Modified: 2019-06-08 21:27 UTC (History)
27 users (show)

(edit)
A CSRF flaw was found in Django, where an interaction between Google Analytics and Django's cookie parsing could allow an attacker to set arbitrary cookies leading to a bypass of CSRF protection. In this update, the parser for ''request.COOKIES'' has been simplified to better match browser behavior and to mitigate this attack. ''request.COOKIES'' may now contain cookies that are invalid according to RFC 6265 but are possible to set using ''document.cookie''.
Clone Of:
(edit)
Last Closed: 2017-01-19 02:56:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2038 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 09:56:53 UTC
Red Hat Product Errata RHSA-2016:2039 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 09:56:47 UTC
Red Hat Product Errata RHSA-2016:2040 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 10:10:49 UTC
Red Hat Product Errata RHSA-2016:2041 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 10:10:44 UTC
Red Hat Product Errata RHSA-2016:2042 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 09:56:41 UTC
Red Hat Product Errata RHSA-2016:2043 normal SHIPPED_LIVE Moderate: python-django security update 2016-10-10 09:56:35 UTC

Description Andrej Nemec 2016-09-19 13:56:57 UTC
An interaction between Google Analytics and Django's cookie parsing
could allow an attacker to set arbitrary cookies leading to a bypass of
CSRF protection.

The parser for ``request.COOKIES`` is simplified to better match the
behavior of browsers and to mitigate this attack. ``request.COOKIES``
may now contain cookies that are invalid according to RFC 6265 but are
possible to set via ``document.cookie``.

Comment 1 Andrej Nemec 2016-09-19 13:57:14 UTC
Acknowledgments:

Name: the upstream Django project

Comment 10 Summer Long 2016-09-26 23:58:12 UTC
Created Django14 tracking bugs for this issue:

Affects: epel-6 [bug 1379487]

Comment 11 Summer Long 2016-09-26 23:58:27 UTC
Created python-django15 tracking bugs for this issue:

Affects: epel-6 [bug 1379488]

Comment 12 Summer Long 2016-09-26 23:58:37 UTC
Created python-django tracking bugs for this issue:

Affects: fedora-all [bug 1379486]
Affects: epel-7 [bug 1379489]

Comment 13 Siddharth Sharma 2016-09-27 06:19:19 UTC
Statement:

This issue did not affect the versions of calamari-server as shipped with Red Hat Ceph Storage 1.3 and 2.0 as they did not include support for google analytics with Django.

Comment 19 Eric Christensen 2016-10-05 20:53:12 UTC
(In reply to Summer Long from comment #18)
Reviewed and Approved.

Comment 20 errata-xmlrpc 2016-10-10 05:57:00 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2016:2043 https://rhn.redhat.com/errata/RHSA-2016-2043.html

Comment 21 errata-xmlrpc 2016-10-10 05:57:28 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 8.0 (Liberty)

Via RHSA-2016:2042 https://rhn.redhat.com/errata/RHSA-2016-2042.html

Comment 22 errata-xmlrpc 2016-10-10 05:57:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 7

Via RHSA-2016:2039 https://rhn.redhat.com/errata/RHSA-2016-2039.html

Comment 23 errata-xmlrpc 2016-10-10 05:58:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 5.0 (Icehouse) for RHEL 6

Via RHSA-2016:2038 https://rhn.redhat.com/errata/RHSA-2016-2038.html

Comment 24 errata-xmlrpc 2016-10-10 06:11:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7

Via RHSA-2016:2041 https://rhn.redhat.com/errata/RHSA-2016-2041.html

Comment 25 errata-xmlrpc 2016-10-10 06:11:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7

Via RHSA-2016:2040 https://rhn.redhat.com/errata/RHSA-2016-2040.html


Note You need to log in before you can comment on or make changes to this bug.